# Generate automatically. Do not edit.

commit 9d562e1e359e3ce01b61f0f52c75d38b96dece7b
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-23

    Release version 42.1
    
    42.0 contains a problem with make distcheck, which should now be fixed.

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 8a3f9daf85fb955b82651fe44c482ba82f68d3d7
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-23

    Fix wrong MR number in NEWS
    
    (cherry picked from commit 53c4b0743c92ad723ffe8f5906450a212c89e88e)

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dbdf58beea190278991dbacd65db6e1aab2d5a8
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-22

    daemon: Add socket files to EXTRA_DIST
    
    Otherwise they don't get included into the tarball and autotools screams
    at us.
    
    (cherry picked from commit cdec02841ef7e0f9fd98fcb18b5d6b625f315871)

 daemon/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit c5645bdcbae05c06895979ee89fb83ef2ec90a1e
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-21

    Release version 42.0

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 8bd42172af81d3e18397a690fc4eec14aa2d3122
Author: Niels De Graef <nielsdg@redhat.com>
Date:   2022-05-13

    secret-portal: Properly check the default keyring
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-keyring/-/issues/107

 daemon/dbus/gkd-secret-portal.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit 269ae26c81ed716f2552af016acd5e91f17a93fd
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-21

    gkm: Fix some format-truncation warnings
    
    When enabling fatal warnings (like in our CI), the
    `-Werror=format-truncation=` flag is complaining about us using
    `snprintf()` in a way that can theoretically truncate its arguments,
    even though this will not happen in practice, unless people are still
    running gnome-keyring in the year 100000.
    
    Solve the warning by doing a dumb check that aborts if `snprintf`
    returns an error

 pkcs11/gkm/gkm-attributes.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 5c0a464633631d4ee5fc912f4a5b5bcc2051b8ce
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2022-05-21

    doap: Add myself as maintainer, remove Stef
    
    Stef has been inactive on GNOME development for quite a while now, and
    the email address listed in the doap is no longer in use even, so remove
    him.
    
    That being said, I'm probably the closest to a co-maintainer with Daiki
    as I'm maintaining libsecret anyway, so I get to deal with gnome-keyring
    whether I like it or not.

 gnome-keyring.doap | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9ffd7b88dfa880ce3e3cb0e3344adb8ee7ef1bd9
Author: Ryan Schmidt <gnome@ryandesign.com>
Date:   2022-03-24

    Fix implicit declaration of utimes and gettimeofday.

 pkcs11/xdg-store/mock-xdg-module.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e74cfb98f1c675d0a3c078b75e2189cdfea337cd
Author: Gergő Doma <domag02@gmail.com>
Date:   2021-10-22

    GMutex initialization added.

 daemon/ssh-agent/gkd-ssh-agent-preload.c | 1 +
 1 file changed, 1 insertion(+)

commit a17707681f35b73a5ecd8ca60a5ff950c790df39
Author: Jos Dehaes <jos.dehaes@gmail.com>
Date:   2022-03-14

    #105 fix looping off the end of the operations array

 daemon/ssh-agent/gkd-ssh-agent-service.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eada1440fec9a082d199ef83bb92b5af149d4c1f
Author: Simon McVittie <smcv@debian.org>
Date:   2021-09-26

    Stop using volatile in conjunction with atomic operations
    
    As discussed in <https://gitlab.gnome.org/GNOME/glib/-/issues/600>,
    the volatile qualifier rarely has the semantics that are desired in C/C++.
    With recent gcc versions, combining pointers to volatile-qualified types
    with the __atomic_foo() family of builtins causes compiler warnings.
    
    http://c.isvolatileusefulwiththreads.com/ has some other useful
    references.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>

 daemon/dbus/gkd-secret-dispatch.c             |  2 +-
 daemon/dbus/gkd-secret-error.c                | 12 ++++++------
 daemon/ssh-agent/test-gkd-ssh-agent-service.c |  2 +-
 egg/egg-libgcrypt.c                           |  2 +-
 egg/egg-oid.c                                 |  2 +-
 egg/egg-symkey.c                              |  2 +-
 pkcs11/gkm/gkm-certificate.c                  |  2 +-
 pkcs11/gkm/gkm-data-der.c                     |  2 +-
 pkcs11/gkm/gkm-serializable.c                 |  8 ++++----
 pkcs11/secret-store/gkm-secret-fields.c       |  2 +-
 pkcs11/xdg-store/gkm-xdg-trust.c              |  2 +-
 11 files changed, 19 insertions(+), 19 deletions(-)

commit 232010c1041b7bd6e7f4757b87e157a05a28425d
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2022-03-27

    Update Bulgarian translation

 po/bg.po | 342 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 165 insertions(+), 177 deletions(-)

commit ffb03fdd5178337a02b1c72acd0c73cc6d020ebd
Author: Quentin PAGÈS <pages_quentin@hotmail.com>
Date:   2021-08-11

    Update Occitan translation
    
    (cherry picked from commit 086959361640d7252fe96b0e2f93f4910ae30c00)

 po/oc.po | 222 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 99 insertions(+), 123 deletions(-)

commit ecca02fbdf4389b1642a6a35d932046cea24553c
Author: Alexey Rubtsov <rushills@gmail.com>
Date:   2021-06-30

    Update Russian translation

 po/ru.po | 365 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 188 insertions(+), 177 deletions(-)

commit f6fcdf2e96e84d671581fa3070bd0696500cb0a5
Merge: ae6b9d86 c36bdbd1
Author: Daiki Ueno <ueno@gnu.org>
Date:   2021-04-27

    Merge branch 'update-readme' into 'master'
    
    readme: Mention libsecret instead of deprecated libgnome-keyring
    
    See merge request GNOME/gnome-keyring!37

commit c36bdbd1befaa97a85b1029f03016c1990a51e19
Author: Felipe Borges <felipeborges@gnome.org>
Date:   2021-04-14

    readme: Mention libsecret instead of deprecated libgnome-keyring

 README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ae6b9d86f55c6193f85a6c9de9727a86675a4927
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-27

    .gitlab-ci.yml: Fix coverage report path

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bda3dd94605070c8859b5f895dd2efb13de069c0
Merge: 23294af7 d3801112
Author: Daiki Ueno <ueno@gnu.org>
Date:   2021-03-26

    Merge branch 'wip/dueno/systemd' into 'master'
    
    daemon: Make it systemd-activatable through the control socket
    
    See merge request GNOME/gnome-keyring!35

commit d38011124e554c6c1dd57d859acfae4389c05699
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-02-12

    daemon: Make it systemd-activatable through the control socket
    
    This enables gnome-keyring-daemon to be launched through the systemd
    socket activation mechanism, rather than through pam_gnome_keyring.so.

 configure.ac                           | 25 ++++++++++++++
 daemon/.gitignore                      |  1 +
 daemon/Makefile.am                     | 14 ++++++++
 daemon/control/gkd-control-server.c    | 60 ++++++++++++++++++++++------------
 daemon/gkd-main.c                      |  1 +
 daemon/gnome-keyring-daemon.service.in | 14 ++++++++
 daemon/gnome-keyring-daemon.socket     | 11 +++++++
 7 files changed, 105 insertions(+), 21 deletions(-)

commit 23294af736984655d03b5c58b504a96fe58cdd33
Merge: a9c86746 eeaf4d64
Author: Daiki Ueno <ueno@gnu.org>
Date:   2021-03-26

    Merge branch 'wip/dueno/ci-fixes' into 'master'
    
    Fix CI runs
    
    See merge request GNOME/gnome-keyring!36

commit eeaf4d646f5aff3933b133948a6335a0e9e81494
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    ci: Fix ASAN jobs
    
    This ports the commits 572a35626625d0a2cd0be54124e402d6bcb43898 and
    5b69e07be75ee5f43df0d734eaee007033a33647 from gcr, by Niels De Graef.
    
    See
    https://mail.gnome.org/archives/desktop-devel-list/2020-February/msg00055.html
    for more context.

 .gitlab-ci.yml | 2 ++
 1 file changed, 2 insertions(+)

commit 3a4dc5bb32e05ec682420da533b58bc3e6d94a25
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    .gitlab-ci.yml: Make pages depend on fedora:coverage
    
    Also only deploy coverage information when built on the master branch.

 .gitlab-ci.yml | 3 +++
 1 file changed, 3 insertions(+)

commit b965ce8818329a84f6d1e09322acbe0aa014e583
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    .gitlab-ci.yml: Run tests as a regular user

 .gitlab-ci.yml | 90 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 47 insertions(+), 43 deletions(-)

commit a9c867468b86719afc9fb62479dc5c48244f5926
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2021-03-26

    Release 40.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a451e5fec21c702257590a0ca280974626135466
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2021-03-16

    Update Finnish translation

 po/fi.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 673361827d6062821dd42974d5b9b0cecd233036
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2021-02-24

    Update Galician translation

 po/gl.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit aa51e965d8952e872ec9b041f6fcc22591b36cae
Author: A S Alam <amanpreet.alam@gmail.com>
Date:   2021-02-11

    Update Punjabi translation

 po/pa.po | 572 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 295 insertions(+), 277 deletions(-)

commit 55e8e6c5f80ee15200e47c33ee8117c5bfcc034c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2021-01-13

    Update Norwegian Bokmål translation

 po/nb.po | 338 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 164 insertions(+), 174 deletions(-)

commit bde1de123879a55ebb3ef86becbb29d3f0950584
Author: Jordi Mas <jmas@softcatala.org>
Date:   2021-01-05

    Update Catalan translation

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 18a58e6344bfab6f4036f9e0f128e7bc7ed0a317
Author: Jordi Mas <jmas@softcatala.org>
Date:   2020-12-21

    Update Catalan translation

 po/ca.po | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit ebc7bc9efacc17049e54da8d96a4a29943621113
Author: Steve Grubb <sgrubb@redhat.com>
Date:   2020-11-20

    Update libcap-ng capability handling
    
    There is a change in libcap-ng-0.8.1 that causes gnome-keyring to not
    work correctly. The capng_apply function now returns an error if it
    cannot change the bounding set. Previously this was ignored. Which means
    now gnome-keyring exits when it shouldn't.
    
    The new patch adds troubleshooting info to the error messages. And it checks
    to see if we have CAP_SETPCAP. If we do not, then we cannot change the
    bounding set and just set capabilities. On the setuid side, it now drops
    the bounding set and clears any supplemental groups that may be left over
    as an accident.

 daemon/gkd-capability.c | 54 +++++++++++++++++++++++++++++++------------------
 1 file changed, 34 insertions(+), 20 deletions(-)

commit 4f531000ae49d89f800e00572271ad3d704a1a01
Author: Zander Brown <zbrown@gnome.org>
Date:   2020-10-04

    Update British English translation

 po/en_GB.po | 190 +++++++++++++++++++++++++++---------------------------------
 1 file changed, 85 insertions(+), 105 deletions(-)

commit dfd246e639779a6d5dacca1aa17664c4142a1747
Author: Yosef Or Boczko <yoseforb@gnome.org>
Date:   2020-09-28

    Update Hebrew translation

 po/he.po | 364 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 190 insertions(+), 174 deletions(-)

commit 27e0ec18a4baafe50f24654eb499b785ee53c573
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   2020-09-12

    Update Latvian translation

 po/lv.po | 393 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 188 insertions(+), 205 deletions(-)

commit 38e29ee2e3e3f14528b026c60bd765099b3c75e6
Author: Juliano Camargo <julianosc@protonmail.com>
Date:   2020-09-12

    Update Portuguese translation

 po/pt.po | 590 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 310 insertions(+), 280 deletions(-)

commit 27c0d90fe872964b24acea5a90244d095a0c66af
Author: Boyuan Yang <073plan@gmail.com>
Date:   2020-08-22

    Update Chinese (China) translation

 po/zh_CN.po | 215 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 114 insertions(+), 101 deletions(-)

commit 6c19deb36ade13d573bd8e861c2ab7e5f09065ee
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   2020-06-26

    Update Kazakh translation

 po/kk.po | 378 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 195 insertions(+), 183 deletions(-)

commit 8dc8f97393df8515c1edd1dc97bf336c5f24df86
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2020-04-10

    Added Slovenian translation

 po/sl.po | 206 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 104 insertions(+), 102 deletions(-)

commit 5234e7c44e54ad99d37bb2c66ba375317b8ffdd7
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   2020-03-31

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 367 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 189 insertions(+), 178 deletions(-)

commit ead1942b5187252d2aadddc768a58b55836ae4d7
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   2020-03-31

    Update Friulian translation

 po/fur.po | 359 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 185 insertions(+), 174 deletions(-)

commit b63790f489d44d76b0122f1d4b9dbc43e7323ea9
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   2020-03-18

    Update Romanian translation

 po/ro.po | 171 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 82 deletions(-)

commit 1c0bb144d9a81b91c88c956fb5231f702851e1d3
Author: Peter Mráz <etkinator@gmail.com>
Date:   2020-03-16

    Update Slovak translation

 po/sk.po | 238 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 126 insertions(+), 112 deletions(-)

commit 69a978f4966301d4c8fc0ade3a6a4b8253f91ef1
Author: sicklylife <translation@sicklylife.jp>
Date:   2020-03-13

    Update Japanese translation

 po/ja.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6cc50f97575d1d978cd7d24e6466f585d37947ed
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-03-11

    Release 3.36.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit cb82824bf3798e0f32da67aa1f56e44e4508a3cd
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2020-03-10

    Update Ukrainian translation

 po/uk.po | 1043 +++++++++++++-------------------------------------------------
 1 file changed, 220 insertions(+), 823 deletions(-)

commit e273e7efe8494f00119b8c8c4f734aa29b70acbd
Author: Jordi Mas <jmas@softcatala.org>
Date:   2020-03-07

    Update Catalan translation

 po/ca.po | 408 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 160 insertions(+), 248 deletions(-)

commit 5c451e8308fbe10967d18ae367fd82f1f96f1ab8
Author: Milo Casagrande <milo@milo.name>
Date:   2020-03-03

    Update Italian translation

 po/it.po | 420 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 165 insertions(+), 255 deletions(-)

commit 1b1c2087cb0ac9055e71c55bf0d37b00acebb576
Author: Tim Sabsch <tim@sabsch.com>
Date:   2020-03-01

    Update German translation

 po/de.po | 368 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 191 insertions(+), 177 deletions(-)

commit 1d2c78059d6b19241c4ca471ac8f816585793be9
Author: Goran Vidović <trebelnik2@gmail.com>
Date:   2020-03-01

    Update Croatian translation

 po/hr.po | 361 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 186 insertions(+), 175 deletions(-)

commit 80d7947ea2a2407f888c205e66231dc831d07892
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2020-02-28

    Update Korean translation

 po/ko.po | 357 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 184 insertions(+), 173 deletions(-)

commit 372066eb1098e258de649276dd750eb7ff35f142
Author: Jwtiyar Nariman <jwtiyar@gmail.com>
Date:   2020-02-27

    Add Kurdish Sorani translation
    
    (cherry picked from commit 4d35eb83a84a513d4c0b1d47b46fc3ad4de377e5)

 po/LINGUAS |   1 +
 po/ckb.po  | 516 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 517 insertions(+)

commit fba1dd77f8c40c3dfc5a8770312b809d5d06d50d
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   2020-02-25

    Updated Danish translation

 po/da.po | 366 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 187 insertions(+), 179 deletions(-)

commit b0314da1600b64cd690f253688b29f5f4f561cef
Author: Nathan Follens <nfollens@gnome.org>
Date:   2020-02-24

    Update Dutch translation

 po/nl.po | 404 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 193 insertions(+), 211 deletions(-)

commit f34dc8008d43cc31a4950f618fb5a37a7baf6b78
Author: Marek Černocký <marek@manet.cz>
Date:   2020-02-23

    Updated Czech translation

 po/cs.po | 356 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 183 insertions(+), 173 deletions(-)

commit 3a5ec408f7edfd66a5e168e1477d65403be3d8e6
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2020-02-22

    Update Finnish translation

 po/fi.po | 152 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 79 insertions(+), 73 deletions(-)

commit 46a55eec8456792e863bded8a42ae4d4eb9bd514
Author: Jor Teron <jor.teron@gmail.com>
Date:   2020-02-22

    Update Karbi translation

 po/mjw.po | 130 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 56 insertions(+), 74 deletions(-)

commit 2df103965657b5063d7d8fd6923b2087cac363a3
Author: Charles Monzat <charles.monzat@free.fr>
Date:   2020-02-19

    Update French translation

 po/fr.po | 169 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 80 deletions(-)

commit e50ce4d17b2adc1cb062dbc1bee9b47b64262daf
Author: Kukuh Syafaat <kukuhsyafaat@gnome.org>
Date:   2020-02-19

    Update Indonesian translation

 po/id.po | 411 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 212 insertions(+), 199 deletions(-)

commit 2416ffcc2cd1a165159d7d436e97726e6d482d98
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   2020-02-18

    Update Swedish translation

 po/sv.po | 364 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 188 insertions(+), 176 deletions(-)

commit 4e5b8984479611ac46ac3b4455d2bcdb6434b8c0
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   2020-02-17

    Update Hungarian translation

 po/hu.po | 451 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 169 insertions(+), 282 deletions(-)

commit b8c82ecab475916458e4a6ddd80850db16fccd04
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2020-02-17

    Updated Lithuanian translation

 po/lt.po | 397 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 190 insertions(+), 207 deletions(-)

commit eb3f676aecc3de6e884965cc21c4d786bfd2518b
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   2020-02-17

    Update Serbian translation

 po/sr.po | 393 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 187 insertions(+), 206 deletions(-)

commit b4168a0c795ad67fbd092aae2456dd8396feb979
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2020-02-17

    Updated Spanish translation

 po/es.po | 382 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 194 insertions(+), 188 deletions(-)

commit 24166f1d4cfbd61f61d64bcefe7c262f0714ebe0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2020-02-16

    Update Brazilian Portuguese translation

 po/pt_BR.po | 161 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 85 insertions(+), 76 deletions(-)

commit a00a7734b85c7602cceed4e1a38694b36aa88054
Author: Danial Behzadi <dani.behzi@ubuntu.com>
Date:   2020-02-16

    Update Persian translation

 po/fa.po | 169 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 83 insertions(+), 86 deletions(-)

commit 1e9a3e86257c1e39597c4f9e85d7cfcb4d5163cd
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2020-02-15

    Update Galician translation

 po/gl.po | 157 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 82 insertions(+), 75 deletions(-)

commit 6dc7a168b745977f595f29203abf1bdaf979feb8
Author: sicklylife <translation@sicklylife.jp>
Date:   2020-02-15

    Update Japanese translation

 po/ja.po | 27 +++++++++++----------------
 1 file changed, 11 insertions(+), 16 deletions(-)

commit a49ce1471aad684c5536b5bdc87284a7156bafcd
Author: sicklylife <translation@sicklylife.jp>
Date:   2020-02-15

    Update Japanese translation

 po/ja.po | 176 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 94 insertions(+), 82 deletions(-)

commit 03052dc16f3776fdfd5263983c400ec95077f4e6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2020-02-15

    Update Polish translation

 po/pl.po | 337 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 162 insertions(+), 175 deletions(-)

commit 19d7a6a132882a4fd5a7421c8f1543ebaabdba3d
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   2020-02-15

    Update Turkish translation

 po/tr.po | 365 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 188 insertions(+), 177 deletions(-)

commit cc7ab71ecedd0013e8deeedb060e661c70a0d68c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-02-15

    Release 3.35.90

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit a1ceae7e9f0bb653dd4ed1b692ff5714882aa294
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   2020-02-15

    Update Basque translation

 po/eu.po | 466 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 214 insertions(+), 252 deletions(-)

commit a77c6fed7f3e36af008fa3b8596756623fdbdba2
Merge: fd130b33 555650c8
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-02-15

    Merge branch 'wip/verdre/update-strings' into 'master'
    
    Use shorter strings for prompt titles
    
    See merge request GNOME/gnome-keyring!30

commit 555650c82babf64caf8da402f37401fd1028fe44
Author: Jonas Dreßler <verdre@v0yd.nl>
Date:   2020-02-04

    Use shorter strings for prompt titles
    
    The layout of modal dialogs changed in gnome-shell [1] and the title now
    has less space available. Make sure all titles remain fully visible and
    use shorter strings.
    
    [1] https://gitlab.gnome.org/GNOME/gnome-shell/issues/1343

 pkcs11/wrap-layer/gkm-wrap-prompt.c | 33 +++++++--------------------------
 1 file changed, 7 insertions(+), 26 deletions(-)

commit fd130b339fec0d38427f2dec53868846744d472e
Merge: af0a6f5d 49bdee0e
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-01-25

    Merge branch '28-more-insight-pam-keyring-module' into 'master'
    
    Provide more insight from pam_gnome_keyring about unlocking
    
    Closes #28
    
    See merge request GNOME/gnome-keyring!28

commit 49bdee0ea20fdfef9336b9f21b047c84de864a1e
Author: ettavolt <ettavolt@gmail.com>
Date:   2020-01-04

    Provide more insight from pam_gnome_keyring about unlocking
    
    Particularly, log INFO when:
    daemon has been started and (maybe) unlocked keyring;
    unlocking is delayed till open session.

 pam/gkr-pam-module.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit af0a6f5d290cc99046c289336b3d1978ec5eea26
Merge: 613d4b38 5b4516f7
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-01-25

    Merge branch 'wip/nielsdg/fix-warnings' into 'master'
    
    Fix some warnings
    
    See merge request GNOME/gnome-keyring!26

commit 5b4516f70f71ab6a73dce54647814f25bed3e3b1
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2020-01-03

    pkcs11: Fix some type mismatch warnings
    
    Provide the necessary casts when using `g_object_ref` and a subclass of
    the return type. Fixes some warnings.

 pkcs11/secret-store/gkm-secret-collection.c | 2 +-
 pkcs11/secret-store/gkm-secret-item.c       | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit ce60975698b24f3836303c91b5bfacf3b94387a8
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2020-01-02

    Don't use GTimeVal/g_get_current_time()
    
    `GTimeVal` is not safe for a post-2038 world, so it was deprecated.
    Let's get rid of it in favor of `g_get_real_time()`.

 pkcs11/gkm/gkm-object.c                  | 20 +++++++++-----------
 pkcs11/secret-store/gkm-secret-object.c  | 15 +++------------
 pkcs11/secret-store/test-secret-object.c |  6 +++---
 3 files changed, 15 insertions(+), 26 deletions(-)

commit a3b876c514ae3beba36e20d1eebc521c17ca9385
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:   2020-01-02

    Don't use g_type_class_add_private()
    
    This was deprecated some time ago in favor of `G_ADD_PRIVATE()`, so by
    migrating to that fixes quite a bit of warnings.

 daemon/dbus/gkd-secret-prompt.c         | 5 ++---
 pkcs11/gkm/gkm-assertion.c              | 6 ++----
 pkcs11/gkm/gkm-certificate-key.c        | 6 ++----
 pkcs11/gkm/gkm-certificate.c            | 6 ++----
 pkcs11/gkm/gkm-credential.c             | 7 ++-----
 pkcs11/gkm/gkm-dh-key.c                 | 8 ++------
 pkcs11/gkm/gkm-manager.c                | 7 ++-----
 pkcs11/gkm/gkm-module.c                 | 7 ++-----
 pkcs11/gkm/gkm-object.c                 | 7 ++-----
 pkcs11/gkm/gkm-private-xsa-key.c        | 7 ++-----
 pkcs11/gkm/gkm-secret-key.c             | 8 ++------
 pkcs11/gkm/gkm-session.c                | 7 ++-----
 pkcs11/gkm/gkm-sexp-key.c               | 7 ++-----
 pkcs11/gkm/gkm-store.c                  | 6 ++----
 pkcs11/secret-store/gkm-secret-object.c | 7 ++-----
 pkcs11/xdg-store/gkm-xdg-trust.c        | 6 +++---
 16 files changed, 33 insertions(+), 74 deletions(-)

commit 613d4b38912dc8cf3daf9324b39dd42dc0c4071a
Merge: df95724f 3ccd39e5
Author: Daiki Ueno <ueno@gnu.org>
Date:   2020-01-14

    Merge branch 'wip/dueno/build-fixes' into 'master'
    
    build: Supply proper cflags for test-dbus-portal
    
    Closes #46
    
    See merge request GNOME/gnome-keyring!29

commit 3ccd39e53a1ae52fd2cd49907b306a639d19b6b3
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-01-14

    build: Supply proper cflags for test-dbus-portal
    
    Fixes #46.

 daemon/dbus/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df95724ff00d890540f3d4f72a24662b41aee1f2
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2020-01-13

    Release 3.35.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 745308de4938b1d834a5aa4be7863b2ffce7b33d
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:   2020-01-08

    Update Malay translation

 po/ms.po | 613 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 333 insertions(+), 280 deletions(-)

commit 5c7eaf230da6be36ed16f3c89acf3b74a20fe1a8
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2019-12-27

    Update Galician translation

 po/gl.po | 79 ++--------------------------------------------------------------
 1 file changed, 2 insertions(+), 77 deletions(-)

commit bfff04ee51d11e906c61ae53b234d622af169398
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   2019-12-25

    Update Galician translation

 po/gl.po | 359 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 168 insertions(+), 191 deletions(-)

commit 7f472501939bd4d1e0db65fd5d1dc0d57bdb63a1
Merge: d463f424 4010e268
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-10-01

    Merge branch 'wip/dueno/secret-portal' into 'master'
    
    dbus: Implement secret portal backend
    
    See merge request GNOME/gnome-keyring!18

commit 4010e268e6b88668e4ff017538ec42096057591c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-07-27

    dbus: Implement secret portal backend

 .gitignore                                         |   4 +
 daemon/.gitignore                                  |   1 +
 daemon/Makefile.am                                 |   6 +-
 daemon/dbus/Makefile.am                            |  35 +-
 daemon/dbus/gkd-secret-portal.c                    | 438 +++++++++++++++++++++
 daemon/dbus/gkd-secret-portal.h                    |  33 ++
 daemon/dbus/gkd-secret-service.c                   |   7 +
 daemon/dbus/gkd-secret-types.h                     |   3 +
 .../dbus/org.freedesktop.impl.portal.Request.xml   |  47 +++
 daemon/dbus/org.freedesktop.impl.portal.Secret.xml |  65 +++
 daemon/dbus/test-dbus-portal.c                     | 215 ++++++++++
 daemon/dbus/test-service.c                         |   1 +
 daemon/gnome-keyring.portal                        |   4 +
 .../org.freedesktop.impl.portal.Secret.service.in  |   3 +
 14 files changed, 859 insertions(+), 3 deletions(-)

commit d463f42495484437de8cec69bea9b6814ee32479
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-30

    Release 3.34.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ddacb9cd6eff3363350252ccb976f9245a0fb729
Merge: f609501e e8291902
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-26

    Merge branch 'glib-2-62' into 'master'
    
    Remove tap-gtester, rely on GLib 2.38+ built-in TAP output instead
    
    See merge request GNOME/gnome-keyring!20

commit e8291902185e02a20f4542b40c3fdb3a9f07a13b
Author: Simon McVittie <smcv@debian.org>
Date:   2019-09-13

    Remove tap-gtester, rely on GLib 2.38+ built-in TAP output instead
    
    GLib 2.62+ outputs TAP by default, which breaks the tap-gtester
    script's expectations. In older GLib versions since 2.38, --tap is an
    opt-in to the TAP output mode, so use that.
    
    This is essentially the same issue as
    https://github.com/cockpit-project/cockpit/pull/11998 (cockpit was the
    source of the tap-gtester script), GNOME/gcr!19, and GNOME/libsecret!5.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>
    Bug-Debian: https://bugs.debian.org/940157

 Makefile.am       |   3 +-
 build/tap-gtester | 206 ------------------------------------------------------
 2 files changed, 1 insertion(+), 208 deletions(-)

commit f609501e986809a5d1a7f0450e9d82144e04da17
Merge: bb7336cf bf04c455
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-24
